curl --request POST \
--url https://api.getsly.ai/v1/v1/acp/checkouts/{id}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": "<string>",
"from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>"
}
'{
"data": {
"id": "<string>",
"merchant_id": "<string>",
"status": "created",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>"
}
],
"total": "<string>",
"currency": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"shipping_address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"state": "<string>"
},
"payment_method": "card",
"client_secret": "<string>",
"metadata": {}
}
}Execute payment. For card checkouts, pass payment_method_id (typically from Stripe Elements or SetupIntent). For stablecoin, pass from_wallet_id.
curl --request POST \
--url https://api.getsly.ai/v1/v1/acp/checkouts/{id}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": "<string>",
"from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>"
}
'{
"data": {
"id": "<string>",
"merchant_id": "<string>",
"status": "created",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>"
}
],
"total": "<string>",
"currency": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"shipping_address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"state": "<string>"
},
"payment_method": "card",
"client_secret": "<string>",
"metadata": {}
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Paid
Show child attributes